Skip to main content
POST
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
goals
Create goal
curl --request POST \
  --url https://{domain}/api/v2/network/offers/{offer_id}/goals \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "title": "string",
  "type": 1,
  "status": 1,
  "tracking_method": 1,
  "revenue": 1,
  "payout": 1,
  "conversion_status": 1,
  "multiple_conversions": 0,
  "is_private": 0,
  "alias": "string",
  "hold_period": "string"
}
'
import requests

url = "https://{domain}/api/v2/network/offers/{offer_id}/goals"

payload = {
"title": "string",
"type": 1,
"status": 1,
"tracking_method": 1,
"revenue": 1,
"payout": 1,
"conversion_status": 1,
"multiple_conversions": 0,
"is_private": 0,
"alias": "string",
"hold_period": "string"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'string',
type: 1,
status: 1,
tracking_method: 1,
revenue: 1,
payout: 1,
conversion_status: 1,
multiple_conversions: 0,
is_private: 0,
alias: 'string',
hold_period: 'string'
})
};

fetch('https://{domain}/api/v2/network/offers/{offer_id}/goals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "goal": {}
  }
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Validation error",
"success": false,
"info": {
"errors": {
"email": [
"Email cannot be blank."
],
"currency": [
"Currency must be a valid ISO code."
]
}
}
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Path Parameters

offer_id
integer
required

Offer ID.

Body

application/json
title
string
required
Maximum string length: 128
type
integer
required

Goal type ID.

status
integer
required

1=active, 3=inactive.

tracking_method
integer
required

1=postback, 2=pixel.

revenue
number
required
payout
number
required
conversion_status
integer

2=approved, 3=pending.

multiple_conversions
enum<integer>
Available options:
0,
1
is_private
enum<integer>
Available options:
0,
1
alias
string

Goal alias (alphanumeric and underscores only).

Maximum string length: 64
hold_period
string

Response

Goal created.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object